const Express = require("express")();
const Http = require("http").Server(Express);
const Socketio = require("socket.io")(Http);

Http.listen(3000, () => {
    console.log("Listening at :3000...");
});

var position = {
    x: 200,
    y: 200
};

var currentCard = {};

Socketio.on("connection", socket => {
    console.log('new Socket connect');
    socket.emit("position", position);
    socket.on("move", data => {
        console.log('Data: ', data);
        switch(data) {
            case "left":
                console.log('left');
                position.x -= 5;
                Socketio.emit("position", position);
                break;
            case "right":
                position.x += 5;
                Socketio.emit("position", position);
                break;
            case "up":
                position.y -= 5;
                Socketio.emit("position", position);
                break;
            case "down":
                position.y += 5;
                Socketio.emit("position", position);
                break;
        }
    });

    for (var key in currentCard) {
        socket.emit(key, currentCard[key])
    }
    socket.on("newCard", data => {
        console.log('New Card From: ', data, ':newCard');
        currentCard[data.sessionName+":newCard"] = data.cardID;
        Socketio.emit(data.sessionName+":newCard", data.cardID)
    })
});

